Ensure configure tests don't fail with Python 3.10, 3.11.

https://github.com/autoconf-archive/autoconf-archive/pull/235

From: Yaakov Selkowitz <yselkowi@redhat.com>
Date: Thu, 5 Aug 2021 11:12:47 -0400
Subject: [PATCH 1/2] AX_PYTHON_DEVEL: fix for Python 3.10+

--- a/m4/ax_python_devel.m4
+++ b/m4/ax_python_devel.m4
@@ -208,7 +208,7 @@ EOD`
 				ac_python_version=$PYTHON_VERSION
 			else
 				ac_python_version=`$PYTHON -c "import sys; \
-					print (sys.version[[:3]])"`
+					print ("%d.%d" % sys.version_info[[:2]])"`
 			fi
 		fi
 

From: Yaakov Selkowitz <yselkowi@redhat.com>
Date: Thu, 5 Aug 2021 11:27:24 -0400
Subject: [PATCH 2/2] AX_PYTHON: Add 3.10 and 3.11

--- a/m4/ax_python.m4
+++ b/m4/ax_python.m4
@@ -55,7 +55,7 @@
 AC_DEFUN([AX_PYTHON],
 [AC_MSG_CHECKING(for python build information)
 AC_MSG_RESULT([])
-for python in python3.9 python3.8 python3.7 python3.6 python3.5 python3.4 python3.3 python3.2 python3.1 python3.0 python2.7 python2.6 python2.5 python2.4 python2.3 python2.2 python2.1 python; do
+for python in python3.11 python3.10 python3.9 python3.8 python3.7 python3.6 python3.5 python3.4 python3.3 python3.2 python3.1 python3.0 python2.7 python2.6 python2.5 python2.4 python2.3 python2.2 python2.1 python; do
 AC_CHECK_PROGS(PYTHON_BIN, [$python])
 ax_python_bin=$PYTHON_BIN
 if test x$ax_python_bin != x; then

